% Funzione che contiene i punti noti in cui si impone il passaggio della
% catena.
% In particolare:
% - cXo rappresenta le coordinate X di tutti i punti nodi imposte dal
% progetto per la correzione di offset;
% - cYo rappresenta le coordinate Y di tutti i punti nodi imposte dal
% progetto per la correzione di offset;
% - cZo rappresenta le coordinate Z di tutti i punti nodi imposte dal
% progetto per la correzione di offset;


function [cXo,cYo,cZo,asseX_TuL,asseY_TuL,asseZ_TuL,asseZstar_TuL] = punti_noti_TuL...
    (asseX_TuL,asseY_TuL,asseZ_TuL,Punti_Noti,PosIniEnd)

%% X
cXo = Punti_Noti(:,1);
asseX_TuL(:,1) = diff(cXo);
cXo = cXo(2:end)';

%% Y
cYo = Punti_Noti(:,2);
asseY_TuL(:,1) = diff(cYo);
cYo = cYo(2:end)';

%% Z
cZo = Punti_Noti(:,3);
asseZ_TuL(:,1) = diff(cZo);
cZo = cZo(2:end)';
       
%% Zstar
cZoStar = [PosIniEnd(2,3); flipud(Punti_Noti(2:end-1,3)); Punti_Noti(1,3)];
asseZstar_TuL(:,1) = diff(cZoStar);

end
